summaryrefslogtreecommitdiffstats
path: root/development/android-studio
diff options
context:
space:
mode:
Diffstat (limited to 'development/android-studio')
-rw-r--r--development/android-studio/LICENSE21
-rw-r--r--development/android-studio/README71
-rw-r--r--development/android-studio/android-studio-inspect.sh3
-rw-r--r--development/android-studio/android-studio.SlackBuild107
-rw-r--r--development/android-studio/android-studio.desktop13
-rw-r--r--development/android-studio/android-studio.info18
-rw-r--r--development/android-studio/android-studio.pngbin0 -> 9816 bytes
-rw-r--r--development/android-studio/android-studio.sh3
-rw-r--r--development/android-studio/slack-desc14
9 files changed, 124 insertions, 126 deletions
diff --git a/development/android-studio/LICENSE b/development/android-studio/LICENSE
new file mode 100644
index 0000000000..917fd6a017
--- /dev/null
+++ b/development/android-studio/LICENSE
@@ -0,0 +1,21 @@
+MIT License
+
+Copyright (c) 2019 Sukma Wardana
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+SOFTWARE.
diff --git a/development/android-studio/README b/development/android-studio/README
index e8cc46a61d..302f523d3e 100644
--- a/development/android-studio/README
+++ b/development/android-studio/README
@@ -1,55 +1,16 @@
-Android Studio is a new Android development environment based
-on IntelliJ IDEA. It provides new features and improvements over
-Eclipse ADT and will be the official Android IDE once it's
-ready.
-
-After having installed this package, run Android Studio with:
- android-studio
-
-# Details
-
-On top of the capabilities you expect from IntelliJ,
-Android Studio offers:
-
- - Flexible Gradle-based build system.
- - Build variants and multiple APK generation.
- - Expanded template support for Google Services and various
- device types.
- - Rich layout editor with support for theme editing.
- - Lint tools to catch performance, usability, version
- compatibility, and other problems.
- - ProGuard and app-signing capabilities.
- - Built-in support for Google Cloud Platform, making it easy
- to integrate Google Cloud Messaging and App Engine.
-
-# General tips
-- google-droid-fonts package may give you font issues with IntelliJ
- based applications (like Android Studio), and removing it should
- suffice to fix the issues.
-- An embedded version of JDK is included in this package for
- Android Studio, which is needed to use it effectively.
- However, I suggest to install an independent version (available in
- slackbuilds.org).
- If you already have JDK installed, you may want to specify it under
- File → Project Structure → SDK Location
- - Uncheck "Use embedded JDK", and
- - set the right path (likely /usr/lib/java).
-
-# No multilib systems
-Android Studio "requires" a multilib system. It is however possible
-to use PART of its functionality with a 32-bit Slackware or a
-64-bit non-multilib Slackware64.
-
-## Slackware (32-bit) tips.
-- An embedded version of JDK is included in this package for
- Android Studio. However, it does not work in 32 bit Slackware
- and, therefore, jdk is required (available in SlackBuild.org).
-- You unlikely can use adb.
-- A downgrade of some tools is required to create APKs:
- - Gradle 3.2 (File → Project Structure → Project)
- - Android plugin 2.2.2 (File → Project Structure → Project)
- - Build Tools Version 23.0.3 (File → Project Structure → app under Modules)
-
-## Slackware64 tips.
-You will experience some problems installing the Android SDK (as it uses
-some 32-bit binaries) and running 32-bit AVDs.
+Android Studio Integrated Development Environment (IDE)
+
+Android Studio is the official integrated development environment
+for Google's Android operating system, built on JetBrains' IntelliJ
+IDEA software and designed specifically for Android development. It
+is available for download on Windows, macOS and Linux based operating
+systems. It is a replacement for the Eclipse Android Development Tools
+as primary IDE for native Android application development.
+
+NOTE:
+ ****
+ YOU MUST AGREE TO GOOGLE'S DOWNLOAD AGREEMENT BEFORE YOU CAN
+ DOWNLOAD ANDROID STUDIO BINARY PACKAGE FROM THEM. THIS MEANS THAT
+ YOU HAVE TO USE SOME SORT OF WEB BROWSER, E.G. FIREFOX, TO DOWNLOAD
+ IT. LINKS, WGET, ET AL WILL NOT WORK
+ ****
diff --git a/development/android-studio/android-studio-inspect.sh b/development/android-studio/android-studio-inspect.sh
new file mode 100644
index 0000000000..7507927209
--- /dev/null
+++ b/development/android-studio/android-studio-inspect.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+cd ${HOME}
+/opt/android-studio/bin/inspect.sh $@
diff --git a/development/android-studio/android-studio.SlackBuild b/development/android-studio/android-studio.SlackBuild
index df7f02e25e..6f92ebbd66 100644
--- a/development/android-studio/android-studio.SlackBuild
+++ b/development/android-studio/android-studio.SlackBuild
@@ -1,5 +1,4 @@
-#!/bin/sh
-#
+#!/bin/bash
# Slackware build script for Android Studio
# Copyright 2012-2017 Roberto Metere, Cagliari (CA), Italy <roberto@metere.it>
@@ -22,64 +21,76 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=android-studio
-VERSION=${VERSION:-3.2.0.26_181_5014246}
-SRCVER=$(echo ${VERSION#*_} | sed 's/_/./')
+VERSION=${VERSION:-3.5.0_191.5791312}
BUILD=${BUILD:-1}
+ARCH=${ARCH:-$(uname -m)}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+MAJORVER=${VERSION%_*}
+MINORVER=$(echo ${VERSION#*_} | sed 's/_/./')
-case "$(uname -m)" in
- i?86) DEBARCH="i386" ; LIBDIRSUFFIX="" ; ARCH=i386 ;;
- x86_64) DEBARCH="amd64" ; LIBDIRSUFFIX="64" ; ARCH=x86_64 ;;
- *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
-esac
+PKGNAM=android-studio-ide-${MINORVER}-linux.tar.gz
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
+PKG=${TMP}/package-${PRGNAM}
OUTPUT=${OUTPUT:-/tmp}
-set -eu
+if [ "${ARCH}" != "x86_64" ]; then
+ echo "Architecture ${ARCH} is not supported."
+ exit 1
+fi
+LIBDIRSUFFIX="64"
-rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-mkdir -p $PKG/opt
-cd $PKG/opt/
-unzip $CWD/$PRGNAM-ide-${SRCVER}-linux.zip
-cd $PKG
+set -e
+
+rm -rf ${PKG}
+mkdir -p ${TMP} ${PKG}/opt ${OUTPUT}
+
+cd ${PKG}/opt
+tar -xvzf ${CWD}/${PKGNAM}
+cd ${PRGNAM}
-#
-# Make and install launchers
-#
-mkdir -p $PKG/usr/share/applications
-install -D -m 644 $PKG/opt/android-studio/bin/studio.png $PKG/usr/share/pixmaps/android-studio.png
-install -D -m 644 $CWD/android-studio.desktop $PKG/usr/share/applications/android-studio.desktop
-mkdir -p $PKG/usr/bin
-(
- cd $PKG/usr/bin
- for i in $(find $PKG/opt/ -executable -type f | grep -v -e "\.sh$")
- do
- if [ ! -e "$PKG/usr/bin/$(basename $i)" -a ! -h "$PKG/usr/bin/$(basename $i)" ]
- then
- ln -s ../../opt/$PRGNAM/bin/$(basename $i) .
- fi
- done
- ln -s ../../opt/$PRGNAM/bin/studio.sh $PRGNAM
- ln -s ../../opt/$PRGNAM/bin/inspect.sh $PRGNAM-inspect
-)
-
-# Adjust ownerships and permissions
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-chmod +x opt/$PRGNAM/bin/studio.sh opt/$PRGNAM/bin/inspect.sh
-cd
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Add android studio to KDE/GNOME/XFCE menu
+install -D -m 644 ${CWD}/${PRGNAM}.desktop \
+ ${PKG}/usr/share/applications/${PRGNAM}.desktop
+
+install -D -m 644 ${CWD}/${PRGNAM}.png ${PKG}/usr/share/pixmaps/${PRGNAM}.png
+
+install -D -m 755 ${CWD}/${PRGNAM}.sh ${PKG}/usr/bin/${PRGNAM}
+install -D -m 755 ${CWD}/${PRGNAM}-inspect.sh ${PKG}/usr/bin/${PRGNAM}-inspect
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/doc/$PRGNAM-${VERSION}
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-${VERSION}/$PRGNAM.SlackBuild
+mkdir -p ${PKG}/usr/doc/${PRGNAM}-${VERSION}
+cp -a \
+ Install-Linux-tar.txt LICENSE.txt NOTICE.txt \
+ ${PKG}/usr/doc/${PRGNAM}-${VERSION}
+cat ${CWD}/${PRGNAM}.SlackBuild > \
+ ${PKG}/usr/doc/${PRGNAM}-${VERSION}/${PRGNAM}.SlackBuild
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
+mkdir -p ${PKG}/install
+cat ${CWD}/slack-desc > ${PKG}/install/slack-desc
-cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+cd ${PKG}
+/sbin/makepkg -l y -c n ${OUTPUT}/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.$PKGTYPE
diff --git a/development/android-studio/android-studio.desktop b/development/android-studio/android-studio.desktop
index 730706d52d..bd6a5ceddb 100644
--- a/development/android-studio/android-studio.desktop
+++ b/development/android-studio/android-studio.desktop
@@ -1,10 +1,9 @@
[Desktop Entry]
-Name=Android Studio
-GenericName=Android IDE
-Comment=Android development environment based on IntelliJ IDEA
+Version=1.0
+Type=Application
Exec=android-studio
+Name=Android Studio IDE
+GenericName=Android Studio IDE
Icon=android-studio
-Path=/usr/share/android-studio/bin/
-Type=Application
-Categories=Development;
-Terminal=false
+StartupNotify=true
+Categories=Development;IDE;Qt;KDE;GTK;GNOME;
diff --git a/development/android-studio/android-studio.info b/development/android-studio/android-studio.info
index 9341dfc006..241263c8f4 100644
--- a/development/android-studio/android-studio.info
+++ b/development/android-studio/android-studio.info
@@ -1,10 +1,10 @@
PRGNAM="android-studio"
-VERSION="3.2.0.26_181_5014246"
-HOMEPAGE="https://developer.android.com/studio/index.html"
-DOWNLOAD="https://dl.google.com/dl/android/studio/ide-zips/3.2.0.26/android-studio-ide-181.5014246-linux.zip"
-MD5SUM="4b075c87f9cdda972266e2bbd327ec50"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-REQUIRES=""
-MAINTAINER="Roberto Metere"
-EMAIL="roberto@metere.it"
+VERSION="3.5.0_191.5791312"
+HOMEPAGE="https://developer.android.com/studio"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://dl.google.com/dl/android/studio/ide-zips/3.5.0.21/android-studio-ide-191.5791312-linux.tar.gz"
+MD5SUM_x86_64="faacd845796792ecdfd5cb7efd46d6b2"
+REQUIRES="zulu-openjdk8"
+MAINTAINER="Sukma Wardana"
+EMAIL="sukma.wardana@mail.com"
diff --git a/development/android-studio/android-studio.png b/development/android-studio/android-studio.png
new file mode 100644
index 0000000000..d24b4250d8
--- /dev/null
+++ b/development/android-studio/android-studio.png
Binary files differ
diff --git a/development/android-studio/android-studio.sh b/development/android-studio/android-studio.sh
new file mode 100644
index 0000000000..7a8d1fcee4
--- /dev/null
+++ b/development/android-studio/android-studio.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+cd ${HOME}
+/opt/android-studio/bin/studio.sh $@
diff --git a/development/android-studio/slack-desc b/development/android-studio/slack-desc
index cee52231e1..0c6177264d 100644
--- a/development/android-studio/slack-desc
+++ b/development/android-studio/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-android-studio: android-studio (Android Development Tool)
+android-studio: android-studio (Android Studio IDE)
android-studio:
-android-studio: Android Studio is a new Android development environment based on
-android-studio: IntelliJ IDEA. It provides new features and improvements over
-android-studio: Eclipse ADT and will be the official Android IDE once it's ready.
-android-studio:
-android-studio:
-android-studio: Homepage: https://developer.android.com/studio/
+android-studio: Android Studio is is an integrated development environment (IDE) for
+android-studio: Google's Android operating system, built on JetBrains' IntelliJ IDEA
+android-studio: software and designed specifically for Android development.
android-studio:
+android-studio: It is a replacement for the Eclipse Android Development Tools (ADT)
+android-studio: as the primary IDE for native Android application development.
android-studio:
+android-studio: homepage: https://developer.android.com/studio
android-studio: